package com.bonus.sgzb.material.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.bonus.sgzb.common.core.web.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.bonus.sgzb.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 修试审核详细repair_apply_details对象 repair_audit_details
 * 
 * @author bonus
 * @date 2023-12-16
 */
@Data
public class RepairAuditDetails extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 任务ID */
    @Excel(name = "任务ID")
    private Long taskId;

    /** 维修ID */
    @Excel(name = "维修ID")
    private Long repairId;

    /** 机具ID */
    @Excel(name = "机具ID")
    private Long maId;

    /** 规格ID */
    @Excel(name = "规格ID")
    private Long typeId;

    /** 维修总量 */
    @Excel(name = "维修总量")
    private Integer repairNum;

    /** 维修数量 */
    @Excel(name = "维修数量")
    private Integer repairedNum;

    /** 报废数量 */
    @Excel(name = "报废数量")
    private Integer scrapNum;

    /** 审核人 */
    @Excel(name = "审核人")
    private Long auditBy;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditTime;

    /** 备注备注 */
    @Excel(name = "备注备注")
    private String auditRemark;

    /** 0未审核1已审核2驳回 */
    @Excel(name = "0未审核1已审核2驳回")
    private String status;

    /** 数据所属组织 */
    @Excel(name = "数据所属组织")
    private Integer companyId;

    @ApiModelProperty(value = "规格型号")
    private String specificationType;

    @ApiModelProperty(value = "机具类型名称")
    private String machineTypeName;

    @ApiModelProperty(value = "机具编号")
    private String maCode;

    @ApiModelProperty(value = "试检状态")
    private String taskStatus;

    /**传入参数*/

    @ApiModelProperty(value = "单位id")
    private Integer backUnit;
    @ApiModelProperty(value = "工程id")
    private Integer backPro;
    @ApiModelProperty(value = "工机具类型id")
    private Integer type;
    @ApiModelProperty(value = "维修单号")
    private String backCode;
    private String keyword;
    private String typeName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTaskId(Long taskId) 
    {
        this.taskId = taskId;
    }

    public Long getTaskId() 
    {
        return taskId;
    }
    public void setRepairId(Long repairId) 
    {
        this.repairId = repairId;
    }

    public Long getRepairId() 
    {
        return repairId;
    }
    public void setMaId(Long maId) 
    {
        this.maId = maId;
    }

    public Long getMaId() 
    {
        return maId;
    }
    public void setTypeId(Long typeId) 
    {
        this.typeId = typeId;
    }

    public Long getTypeId() 
    {
        return typeId;
    }
    public void setRepairNum(Integer repairNum)
    {
        this.repairNum = repairNum;
    }

    public Integer getRepairNum()
    {
        return repairNum;
    }
    public void setRepairedNum(Integer repairedNum)
    {
        this.repairedNum = repairedNum;
    }

    public Integer getRepairedNum()
    {
        return repairedNum;
    }
    public void setScrapNum(Integer scrapNum)
    {
        this.scrapNum = scrapNum;
    }

    public Integer getScrapNum()
    {
        return scrapNum;
    }
    public void setAuditBy(Long auditBy) 
    {
        this.auditBy = auditBy;
    }

    public Long getAuditBy() 
    {
        return auditBy;
    }
    public void setAuditTime(Date auditTime) 
    {
        this.auditTime = auditTime;
    }

    public Date getAuditTime() 
    {
        return auditTime;
    }
    public void setAuditRemark(String auditRemark) 
    {
        this.auditRemark = auditRemark;
    }

    public String getAuditRemark() 
    {
        return auditRemark;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setCompanyId(Integer companyId)
    {
        this.companyId = companyId;
    }

    public Integer getCompanyId()
    {
        return companyId;
    }

    public String getSpecificationType() {
        return specificationType;
    }

    public void setSpecificationType(String specificationType) {
        this.specificationType = specificationType;
    }

    public String getMachineTypeName() {
        return machineTypeName;
    }

    public void setMachineTypeName(String machineTypeName) {
        this.machineTypeName = machineTypeName;
    }

    public String getMaCode() {
        return maCode;
    }

    public void setMaCode(String maCode) {
        this.maCode = maCode;
    }

    public Integer getBackUnit() {
        return backUnit;
    }

    public void setBackUnit(Integer backUnit) {
        this.backUnit = backUnit;
    }

    public Integer getBackPro() {
        return backPro;
    }

    public void setBackPro(Integer backPro) {
        this.backPro = backPro;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskId", getTaskId())
            .append("repairId", getRepairId())
            .append("maId", getMaId())
            .append("typeId", getTypeId())
            .append("repairNum", getRepairNum())
            .append("repairedNum", getRepairedNum())
            .append("scrapNum", getScrapNum())
            .append("auditBy", getAuditBy())
            .append("auditTime", getAuditTime())
            .append("auditRemark", getAuditRemark())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("companyId", getCompanyId())
            .toString();
    }
}
